aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWladimir J. van der Laan <[email protected]>2017-10-21 09:07:44 +0200
committerWladimir J. van der Laan <[email protected]>2017-10-21 09:09:41 +0200
commite668a6e61d4fc4e4453f80f11eacdf808e786b59 (patch)
tree80f7e239f354fd8f7d66095a8b87b52e7cc94f41
parentMerge #11529: Avoid slow transaction search with txindex enabled (diff)
parent[verify-commits] Allow revoked keys to expire (diff)
downloaddiscoin-e668a6e61d4fc4e4453f80f11eacdf808e786b59.tar.xz
discoin-e668a6e61d4fc4e4453f80f11eacdf808e786b59.zip
Merge #11539: [verify-commits] Allow revoked keys to expire
d23be30 [verify-commits] Allow revoked keys to expire (Matt Corallo) Pull request description: This should fix verify-commits on master. Tree-SHA512: 9bfca41fdfcdb11f6d07fcbc80a7b2de37706051e963292e0fbb4c608f146c87b65ab1e8395792197b4a7099e89fa045f278a60276672f6540b68d5e15b5a4a7
-rwxr-xr-xcontrib/verify-commits/gpg.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/contrib/verify-commits/gpg.sh b/contrib/verify-commits/gpg.sh
index b01e2a6d3..abd8f5fd9 100755
--- a/contrib/verify-commits/gpg.sh
+++ b/contrib/verify-commits/gpg.sh
@@ -46,6 +46,11 @@ for LINE in $(echo "$GPG_RES"); do
REVSIG=true
GOODREVSIG="[GNUPG:] GOODSIG ${LINE#* * *}"
;;
+ "[GNUPG:] EXPKEYSIG "*)
+ [ "$BITCOIN_VERIFY_COMMITS_ALLOW_REVSIG" != 1 ] && exit 1
+ REVSIG=true
+ GOODREVSIG="[GNUPG:] GOODSIG ${LINE#* * *}"
+ ;;
esac
done
if ! $VALID; then